> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Delete a locale DELETE https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/locales/{locale_id} Deletes a locale and all associated content. **This action cannot be undone.** Locales used as fallbacks by other locales cannot be deleted. Reference: https://contentful.com/developers/docs/references/content-management-api/locales/delete-a-locale ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the Space in form of a string - `environment_id` (string, required) — ID of the environment in form of a string - `locale_id` (string, required) — ID of the Locale in form of a string ## Response ### 204 No Content - Request successful, no content returned ## Examples **SDK Code** ```android Android // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); client .locales() .async() .fetchOne( "", new CMACallback() { @Override protected void onSuccess(CMALocale locale) { client .locales() .async() .delete( locale, new CMACallback() { @Override protected void onSuccess(Integer integer) { new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Deleting successful. Return code: " + integer) .show(); } } ); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not find the locale to be deleted." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); ``` ```java Java // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); final CMALocale locale = client .locales() .fetchAll() .getItems() .get(1); client .locales() .delete(locale); ``` ```kotlin Kotlin // Create the Contentful client. val client = CMAClient.Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build() val locale = client .locales() .fetchAll() .items[1] client .locales() .delete(locale) ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getSpace('') .then((space) => space.getEnvironment('')) .then((environment) => environment.getLocale('')) .then((locale) => locale.delete()) .then(() => console.log('Locale deleted.')) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) await client.locale.delete({ spaceId: '', environmentId: '', localeId: 'en-US', }); ``` ```php PHP $client = new \Contentful\Management\Client(''); $environment = $client->getEnvironmentProxy('', ''); $locale = $environment->getLocale(''); $locale->delete(); ``` ```ruby Ruby require 'contentful/management' client = Contentful::Management::Client.new('') locale = client.locales('', '').find('') locale.destroy ``` ```python Python from contentful_management import Client client = Client('') client.locales('').delete('') # Alternatively, with an already fetched locale: locale = client.locales('', '').find('') locale.delete() ``` ```.net .NET // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulManagementClient(httpClient, "", ""); await client.DeleteLocale(""); ```